const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const service_technologies = sequelize.define(
    'service_technologies',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

note_ar: {
        type: DataTypes.TEXT,
      
      

      },

sort_order: {
        type: DataTypes.INTEGER,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  service_technologies.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity






























//end loop



    db.service_technologies.belongsTo(db.services, {
      as: 'service',
      foreignKey: {
        name: 'serviceId',
      },
      constraints: false,
    });

    db.service_technologies.belongsTo(db.technologies, {
      as: 'technology',
      foreignKey: {
        name: 'technologyId',
      },
      constraints: false,
    });




    db.service_technologies.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.service_technologies.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return service_technologies;
};


